import { getElementId, randomCode, deepCopy } from "../../plugins/utils";

const MODEL = {
  type: "FILL_TABLE",
  x: 0,
  y: 0,
  w: 300,
  h: 120,
  sign: "",
  colCount: 3,
  rowCount: 3,
  padding: [5, 5],
  lineStyle: "solid",
  fontSize: "14px",
  lineHeight: 30,
  content: {},
};

const getModel = () => {
  return {
    id: getElementId(),
    key: randomCode(),
    ...deepCopy(MODEL),
  };
};

export { MODEL, getModel };
